Jump to content


 


Register a free account to unlock additional features at BleepingComputer.com
Welcome to BleepingComputer, a free community where people like yourself come together to discuss and learn how to use their computers. Using the site is easy and fun. As a guest, you can browse and view the various discussions in the forums, but can not create a new topic or reply to an existing one unless you are logged in. Other benefits of registering an account are subscribing to topics and forums, creating a blog, and having no ads shown anywhere on the site.


Click here to Register a free account now! or read our Welcome Guide to learn how to use this site.

Photo

error in update manager


  • This topic is locked This topic is locked
103 replies to this topic

#1 RAMIA

RAMIA

  • Members
  • 329 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:10:53 PM

Posted 09 September 2015 - 09:41 AM

how to slove this?

2qm0myt.png

thanks


I am for peace

BC AdBot (Login to Remove)

 


#2 Naught McNoone

Naught McNoone

  • Members
  • 308 posts
  • OFFLINE
  •  
  • Gender:Male
  • Location:The Great White North
  • Local time:04:53 PM

Posted 09 September 2015 - 12:20 PM

 

 

This looks like a network error.  Are you behind a firewall or using a proxy server?

 

Either of those could be blocking you.



#3 RAMIA

RAMIA
  • Topic Starter

  • Members
  • 329 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:10:53 PM

Posted 09 September 2015 - 04:49 PM

 

 

 

This looks like a network error.  Are you behind a firewall or using a proxy server?

 

Either of those could be blocking you.

 

no


I am for peace

#4 Al1000

Al1000

  • Global Moderator
  • 8,109 posts
  • OFFLINE
  •  
  • Gender:Male
  • Location:Scotland
  • Local time:08:53 PM

Posted 09 September 2015 - 06:36 PM

Open a terminal and run this command:

sudo apt-get update
Do you see any error messages? If so, please copy and paste them into a post here.

#5 cat1092

cat1092

    Bleeping Cat


  • BC Advisor
  • 7,018 posts
  • OFFLINE
  •  
  • Gender:Male
  • Location:North Carolina, USA
  • Local time:04:53 PM

Posted 10 September 2015 - 03:22 AM

I've seen this happen when a PPA is no longer maintained, in fact, just received the same error two nights ago. 

 

To fix this, open the Update Manager, then at the top click Edit, then Software Sources (your password will then be needed). You'll see a Maintenance tab on the left, click onto it, then click 'Fix MergeList problems'. Once you do that, the Update Manager should refresh & no errors shown. 

 

Al's advice above is good too, only I used both Update & Upgrade by typing in the Terminal:

 

sudo apt-get update && sudo apt-get upgrade

 

You'll be prompted more than once to use a new version or keep your own (default), which is by typing a capital N & press Enter when it comes up. 

 

Cat


Performing full disc images weekly and keeping important data off of the 'C' drive as generated can be the best defence against Malware/Ransomware attacks, as well as a wide range of other issues. 


#6 RAMIA

RAMIA
  • Topic Starter

  • Members
  • 329 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:10:53 PM

Posted 24 October 2015 - 01:25 PM

I see this problem back, so what Exactly to do To solve it?

itgowmmhzzjm.png

iwdjxymwoiq4.png

"which is by typing a capital N & press Enter when it comes up."

Where and when exactly?

"press Enter when it comes up."

What exactly comes up?


Edited by RAMIA, 24 October 2015 - 01:35 PM.

I am for peace

#7 RAMIA

RAMIA
  • Topic Starter

  • Members
  • 329 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:10:53 PM

Posted 24 October 2015 - 01:43 PM

Open a terminal and run this command:
 

sudo apt-get update
Do you see any error messages? If so, please copy and paste them into a post here.

 

rami@rami-System-Product-Name ~ $ sudo apt-get update
[sudo] password for rami:
E: Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
E: Unable to lock directory /var/lib/apt/lists/
rami@rami-System-Product-Name ~ $
 


I am for peace

#8 nuna

nuna

  • Members
  • 155 posts
  • OFFLINE
  •  
  • Gender:Not Telling
  • Local time:09:53 PM

Posted 24 October 2015 - 02:15 PM

rami@rami-System-Product-Name ~ $ sudo apt-get update
[sudo] password for rami:
E: Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
E: Unable to lock directory /var/lib/apt/lists/

Update Manager has to be closed before running sudo apt-get update command. They need exclusive access to the folder indicated in the error.

Edited by nuna, 24 October 2015 - 02:22 PM.


#9 RAMIA

RAMIA
  • Topic Starter

  • Members
  • 329 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:10:53 PM

Posted 24 October 2015 - 02:28 PM

"To fix this, open the Update Manager, then at the top click Edit, then Software Sources (your password will then be needed). You'll see a Maintenance tab on the left, click onto it, then click 'Fix MergeList problems'. Once you do that, the Update Manager should refresh & no errors shown."

it's still error

dg1qnwwkontr.png


I am for peace

#10 RAMIA

RAMIA
  • Topic Starter

  • Members
  • 329 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:10:53 PM

Posted 24 October 2015 - 02:50 PM

 

rami@rami-System-Product-Name ~ $ sudo apt-get update
[sudo] password for rami:
E: Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
E: Unable to lock directory /var/lib/apt/lists/

Update Manager has to be closed before running sudo apt-get update command. They need exclusive access to the folder indicated in the error.

 

still error

rami@rami-System-Product-Name ~ $ sudo apt-get update
[sudo] password for rami:
Hit http://repo.steampowered.com precise InRelease
Ign http://ppa.launchpad.net trusty InRelease                                  
Ign http://dl.google.com stable InRelease                                      
Hit http://ppa.launchpad.net trusty InRelease                                  
Get:1 http://security.ubuntu.com trusty-security InRelease [64.4 kB]           
Get:2 http://dl.google.com stable Release.gpg [198 B]                          
Get:3 http://dl.google.com stable Release [1,347 B]                            
Ign http://archive.canonical.com trusty InRelease                              
Hit http://ppa.launchpad.net trusty InRelease                                  
Ign http://extra.linuxmint.com rafaela InRelease                               
Get:4 http://archive.canonical.com trusty Release.gpg [933 B]                  
Get:5 http://dl.google.com stable/main i386 Packages [1,207 B]                 
Get:6 http://extra.linuxmint.com rafaela Release.gpg [198 B]                   
Ign http://archive.ubuntu.com trusty InRelease                                 
Get:7 http://archive.canonical.com trusty Release [9,359 B]                    
Ign http://packages.linuxmint.com rafaela InRelease                            
Hit http://ppa.launchpad.net trusty Release.gpg                                
Get:8 http://archive.canonical.com trusty/partner i386 Packages [6,301 B]      
Get:9 http://archive.canonical.com trusty/partner Translation-en [4,588 B]     
Hit http://security.ubuntu.com trusty-security/main i386 Packages              
Hit http://ppa.launchpad.net trusty/main Sources                               
Get:10 http://security.ubuntu.com trusty-security/restricted i386 Packages [12.2 kB]
Hit http://archive.ubuntu.com trusty-updates InRelease                         
Hit http://extra.linuxmint.com rafaela Release                                 
Get:11 http://security.ubuntu.com trusty-security/universe i386 Packages [117 kB]
Get:12 http://archive.ubuntu.com trusty Release.gpg [72 B]                     
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Get:13 http://packages.linuxmint.com rafaela Release.gpg [198 B]               
Get:14 http://ppa.launchpad.net trusty/main Translation-en [18.2 kB]           
Get:15 http://security.ubuntu.com trusty-security/multiverse i386 Packages [3,846 B]
Get:16 http://archive.ubuntu.com trusty Release [58.5 kB]                      
Hit http://ppa.launchpad.net trusty/main Sources                               
Get:17 http://packages.linuxmint.com rafaela Release [24.2 kB]                 
Hit http://security.ubuntu.com trusty-security/main Translation-en             
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Get:18 http://security.ubuntu.com trusty-security/multiverse Translation-en [1,679 B]
Get:19 http://ppa.launchpad.net trusty/main Translation-en [7,060 B]           
Get:20 http://security.ubuntu.com trusty-security/restricted Translation-en [3,076 B]
Get:21 http://security.ubuntu.com trusty-security/universe Translation-en [68.3 kB]
Hit http://extra.linuxmint.com rafaela/main i386 Packages                      
Hit http://ppa.launchpad.net trusty Release                                    
Hit http://ppa.launchpad.net trusty/main Sources                               
Hit http://ppa.launchpad.net trusty/main i386 Packages                         
Err http://archive.ubuntu.com trusty Release                                   
 
Get:22 http://ppa.launchpad.net trusty/main Translation-en [401 B]             
Hit http://archive.ubuntu.com trusty-updates/main i386 Packages                
Get:23 http://archive.ubuntu.com trusty-updates/restricted i386 Packages [15.1 kB]
Get:24 http://packages.linuxmint.com rafaela/upstream i386 Packages [39.1 kB]  
Hit http://archive.ubuntu.com trusty-updates/universe i386 Packages            
Get:25 http://archive.ubuntu.com trusty-updates/multiverse i386 Packages [12.1 kB]
Ign http://dl.google.com stable/main Translation-he_IL                         
Hit http://archive.ubuntu.com trusty-updates/main Translation-en               
Ign http://dl.google.com stable/main Translation-he                            
Get:26 http://packages.linuxmint.com rafaela/import i386 Packages [302 kB]     
Hit http://archive.ubuntu.com trusty-updates/multiverse Translation-en         
Ign http://dl.google.com stable/main Translation-en                            
Hit http://archive.ubuntu.com trusty-updates/restricted Translation-en         
Hit http://archive.ubuntu.com trusty-updates/universe Translation-en           
Hit http://repo.steampowered.com precise/steam Sources                         
Ign http://extra.linuxmint.com rafaela/main Translation-he_IL                  
Ign http://extra.linuxmint.com rafaela/main Translation-he                     
Ign http://extra.linuxmint.com rafaela/main Translation-en                     
Hit http://repo.steampowered.com precise/steam amd64 Packages                  
Hit http://repo.steampowered.com precise/steam i386 Packages                   
Get:27 http://packages.linuxmint.com rafaela/main i386 Packages [32.8 kB]      
Ign http://packages.linuxmint.com rafaela/import Translation-he_IL             
Ign http://packages.linuxmint.com rafaela/import Translation-he                
Ign http://packages.linuxmint.com rafaela/import Translation-en                
Ign http://packages.linuxmint.com rafaela/main Translation-he_IL               
Ign http://packages.linuxmint.com rafaela/main Translation-he                  
Ign http://packages.linuxmint.com rafaela/main Translation-en                  
Ign http://packages.linuxmint.com rafaela/upstream Translation-he_IL           
Ign http://packages.linuxmint.com rafaela/upstream Translation-he              
Ign http://packages.linuxmint.com rafaela/upstream Translation-en              
Ign http://repo.steampowered.com precise/steam Translation-he_IL               
Ign http://repo.steampowered.com precise/steam Translation-he
Ign http://repo.steampowered.com precise/steam Translation-en
Fetched 804 kB in 38s (20.9 kB/s)
Reading package lists... Done
W: An error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://archive.ubuntu.com trusty Release: The following signatures were invalid: BADSIG 16126D3A3E5C1192 Ubuntu Extras Archive Automatic Signing Key <ftpmaster@ubuntu.com>

W: Failure to bring http://archive.ubuntu.com/ubuntu/dists/trusty/Release  

W: Some index files failed to download. They have been ignored, or old ones used instead.
rami@rami-System-Product-Name ~ $

 

so what to do?
 


I am for peace

#11 Al1000

Al1000

  • Global Moderator
  • 8,109 posts
  • OFFLINE
  •  
  • Gender:Male
  • Location:Scotland
  • Local time:08:53 PM

Posted 24 October 2015 - 03:52 PM

Are you using a Proxy? Someone here says that caused him to get the error you are getting:

https://www.linux.com/learn/answers/view/1267-help--how-can-i-fix-this--i-cant-update

PS: Please don't ask the same question on different forums, at the same time. Pick one forum or the other, and give people time to help before you ask elsewhere. Asking the same question at the same time on different forums causes confusion for people who try to help, and also for others looking for advice who might have the same problem.

Edited by Al1000, 24 October 2015 - 03:53 PM.


#12 nuna

nuna

  • Members
  • 155 posts
  • OFFLINE
  •  
  • Gender:Not Telling
  • Local time:09:53 PM

Posted 24 October 2015 - 03:59 PM

W: Failure to bring http://archive.ubuntu.com/ubuntu/dists/trusty/Release  

W: Some index files failed to download. They have been ignored, or old ones used instead.

so what to do?

From Software Sources (Official Repositories button) you can change the country from where they are downloaded and try it again.

#13 RAMIA

RAMIA
  • Topic Starter

  • Members
  • 329 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:10:53 PM

Posted 24 October 2015 - 04:23 PM

Are you using a Proxy? Someone here says that caused him to get the error you are getting:

https://www.linux.com/learn/answers/view/1267-help--how-can-i-fix-this--i-cant-update

PS: Please don't ask the same question on different forums, at the same time. Pick one forum or the other, and give people time to help before you ask elsewhere. Asking the same question at the same time on different forums causes confusion for people who try to help, and also for others looking for advice who might have the same problem.

gmma3qito2t1.png

so what to do?

"Are you using a Proxy? Someone here says that caused him to get the error you are getting:"

how to know?


Edited by RAMIA, 24 October 2015 - 04:25 PM.

I am for peace

#14 Al1000

Al1000

  • Global Moderator
  • 8,109 posts
  • OFFLINE
  •  
  • Gender:Male
  • Location:Scotland
  • Local time:08:53 PM

Posted 24 October 2015 - 04:25 PM

You could answer the question:

Are you using any sort of proxy?

#15 Al1000

Al1000

  • Global Moderator
  • 8,109 posts
  • OFFLINE
  •  
  • Gender:Male
  • Location:Scotland
  • Local time:08:53 PM

Posted 24 October 2015 - 04:35 PM

"Are you using a Proxy? Someone here says that caused him to get the error you are getting:"

how to know?


You would have installed it.

Please post the output of:
 
ls -a /var/lib/apt/
PS: You should be able to copy and paste from the terminal into your post, which will save having to take screenshots.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users